
Name: dos2unix
Version: 7.4.1
Release: 1
License: BSD-2-Clause
Summary: Text file format converters
Url: http://waterlan.home.xs4all.nl/dos2unix.html

Source0: http://waterlan.home.xs4all.nl/dos2unix/%{name}-%{version}.tar.gz

BuildRequires: gettext-runtime
BuildRequires: libintl-devel

%description
Convert text files with DOS or Mac line endings to Unix line endings and 
vice versa.

%prep
%setup -q

%build

%make_build \
  LDFLAGS_USER="-lintl -Wl,-brtl -Wl,-blibpath:%{_libdir}/dos2unix:%{_libdir}:/QOpenSys/usr/lib" \
  prefix=%{_prefix}
 
%install

%make_install prefix=%{_prefix}

%files
%defattr(-, qsys, *none)

%doc NEWS.txt
%doc README.txt
%doc BUGS.txt
%doc COPYING.txt
%doc ChangeLog.txt
%doc INSTALL.txt
%doc TODO.txt

%license COPYING.txt

%{_bindir}/dos2unix
%{_bindir}/mac2unix
%{_bindir}/unix2dos
%{_bindir}/unix2mac

%{_datarootdir}/locale/da/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/de/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/eo/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/es/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/fr/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/hu/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/ja/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/nb/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/nl/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/pl/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/pt_BR/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/ru/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/sr/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/sv/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/uk/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/vi/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/zh_CN/LC_MESSAGES/dos2unix.mo
%{_datarootdir}/locale/zh_TW/LC_MESSAGES/dos2unix.mo

%{_docdir}/dos2unix-%{version}

%{_mandir}/de/man1/dos2unix.1*
%{_mandir}/de/man1/mac2unix.1*
%{_mandir}/de/man1/unix2dos.1*
%{_mandir}/de/man1/unix2mac.1*
%{_mandir}/es/man1/dos2unix.1*
%{_mandir}/es/man1/mac2unix.1*
%{_mandir}/es/man1/unix2dos.1*
%{_mandir}/es/man1/unix2mac.1*
%{_mandir}/fr/man1/dos2unix.1*
%{_mandir}/fr/man1/mac2unix.1*
%{_mandir}/fr/man1/unix2dos.1*
%{_mandir}/fr/man1/unix2mac.1*
%{_mandir}/man1/dos2unix.1*
%{_mandir}/man1/mac2unix.1*
%{_mandir}/man1/unix2dos.1*
%{_mandir}/man1/unix2mac.1*
%{_mandir}/nl/man1/dos2unix.1*
%{_mandir}/nl/man1/mac2unix.1*
%{_mandir}/nl/man1/unix2dos.1*
%{_mandir}/nl/man1/unix2mac.1*
%{_mandir}/pl/man1/dos2unix.1*
%{_mandir}/pl/man1/mac2unix.1*
%{_mandir}/pl/man1/unix2dos.1*
%{_mandir}/pl/man1/unix2mac.1*
%{_mandir}/pt_BR/man1/dos2unix.1*
%{_mandir}/pt_BR/man1/mac2unix.1*
%{_mandir}/pt_BR/man1/unix2dos.1*
%{_mandir}/pt_BR/man1/unix2mac.1*
%{_mandir}/sv/man1/dos2unix.1*
%{_mandir}/sv/man1/mac2unix.1*
%{_mandir}/sv/man1/unix2dos.1*
%{_mandir}/sv/man1/unix2mac.1*
%{_mandir}/uk/man1/dos2unix.1*
%{_mandir}/uk/man1/mac2unix.1*
%{_mandir}/uk/man1/unix2dos.1*
%{_mandir}/uk/man1/unix2mac.1*
%{_mandir}/zh_CN/man1/dos2unix.1*
%{_mandir}/zh_CN/man1/mac2unix.1*
%{_mandir}/zh_CN/man1/unix2dos.1*
%{_mandir}/zh_CN/man1/unix2mac.1*

%changelog
* Mon Aug 24 2020 Eric Simpson <esimpson@ca.ibm.com> - 7.4.1
- Initial build for IBM i
